
package servlet_endpoint;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the servlet_endpoint package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _EchoTemperatureResponse_QNAME = new QName("http://servlet_endpoint/", "echoTemperatureResponse");
    private final static QName _EchoTemperature_QNAME = new QName("http://servlet_endpoint/", "echoTemperature");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: servlet_endpoint
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link EchoTemperatureResponse }
     * 
     */
    public EchoTemperatureResponse createEchoTemperatureResponse() {
        return new EchoTemperatureResponse();
    }

    /**
     * Create an instance of {@link EchoTemperature }
     * 
     */
    public EchoTemperature createEchoTemperature() {
        return new EchoTemperature();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EchoTemperatureResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://servlet_endpoint/", name = "echoTemperatureResponse")
    public JAXBElement<EchoTemperatureResponse> createEchoTemperatureResponse(EchoTemperatureResponse value) {
        return new JAXBElement<EchoTemperatureResponse>(_EchoTemperatureResponse_QNAME, EchoTemperatureResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EchoTemperature }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://servlet_endpoint/", name = "echoTemperature")
    public JAXBElement<EchoTemperature> createEchoTemperature(EchoTemperature value) {
        return new JAXBElement<EchoTemperature>(_EchoTemperature_QNAME, EchoTemperature.class, null, value);
    }

}
