/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ejb_endpoint;

/**
 *
 * @author gpatil
 */
public class Singleton {

    private static int id = 0;
    private static int cId = 0;

    public static synchronized int getID() {
        return id++;
    }

    public static synchronized int getCId() {
        return cId++;
    }
    
    public static void main(String[] args) {
        for (int i = 0; i < 100; i++) {
            Thread th = new Thread() {

                int myId = 0;

                @Override
                public void run() {
                    myId = Singleton.getID();
                    try {
                        System.out.println("Started." + myId);
                        Thread.sleep(1000);
                        System.out.println("Done." + myId);
                    } catch (Exception ex) {
                        ex.printStackTrace();
                    }
                }
            };
            
            th.start();
        }
    }
}
